repo/gentoo:master commit in: dev-ruby/activesupport/
"Sam James" <[email protected]>
| Newsgroups | gmane.linux.gentoo.cvs |
|---|---|
| Message-ID | <1785973937.33a3c9d7cea358e13de183e9dcd7c215679fd3a0.sam@gentoo> |
commit: 33a3c9d7cea358e13de183e9dcd7c215679fd3a0
Author: Alfred Wingate <parona <AT> protonmail <DOT> com>
AuthorDate: Tue Aug 4 09:39:15 2026 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Aug 5 23:52:17 2026 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=33a3c9d7
dev-ruby/activesupport: add 8.0.5.1
Signed-off-by: Alfred Wingate <parona <AT> protonmail.com>
Part-of: https://codeberg.org/gentoo/gentoo/pulls/1622
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-ruby/activesupport/Manifest | 1 +
.../activesupport/activesupport-8.0.5.1.ebuild | 90 ++++++++++++++++++++++
2 files changed, 91 insertions(+)
diff --git a/dev-ruby/activesupport/Manifest b/dev-ruby/activesupport/Manifest
index 857190aa265b..03192ce76ae0 100644
--- a/dev-ruby/activesupport/Manifest
+++ b/dev-ruby/activesupport/Manifest
@@ -2,5 +2,6 @@ DIST rails-7.1.5.1.tgz 10953261 BLAKE2B a2fc77cba86d2c9bd4171e7fbd280d41a0c3e9fb
DIST rails-7.1.6.tgz 10960488 BLAKE2B 3f5d4c164110c2169a1ccd3ccf03914195b868fb07c8ce99addd7c97bf1210f3eb3c330a2a040b946aa07366d6c29b1a07c86d264964312ae0fc292c79921d53 SHA512 67c7b6520a160c6d5f769368d10f38df53301f39fad19b6b6a34edf0590bbe894047d4aec1bbf8bdef0e720128d966b275c9600e9e717c163d4b13a207af90f6
DIST rails-7.2.3.tgz 11222967 BLAKE2B 408474d7ec82581cd7f3621bae861c23496f38b9cc987575243310bded91d306614d2f7c4e4b46e137f8135a56f69646251825f79f5388c24f53314557d73202 SHA512 7e1aea66cea0a545d82e27f562bd01e0619a4b007a2ee17a9e0ed89fc8883ddc38f581e094ede90dcbe5a497495f6fd0cde2c62a9f5c40d3b82c5b7711a3d48b
DIST rails-8.0.4.tgz 11905714 BLAKE2B 3146be192bd6358018aad6b90e49b3102fcd20203cd7fb00672b75470ce3dca244bb5d2b51661ad0d9123471052b3920c05a33fe450e1109efaa368794bbfd04 SHA512 2b01a0abbe24b6f0ffcec10a3a14c50ab325a247832873363922bd3fa174ddbb26a045b6f8e6cff4fe5124d790990ecf5c256111085e5f64146d8b89734ed71c
+DIST rails-8.0.5.1.tgz 11920723 BLAKE2B 559554e12348cc5b12e9f8276786251e6f7b98c28967a88028c881d18c894f09765c5b1433e7e25c7dff75d4a45c11aa0924657fc66c1a986197843f110e769a SHA512 c433faf181b1dcd21286d98217765e2c735033b1ff9add941015bd9366cb89dcf749c92947e291e644e8df891bfb620aeeb096af93358c7db32abf58bb98d0aa
DIST rails-8.1.2.tgz 13031832 BLAKE2B 85bde01384698e7556d53339435b94f884a0c385adafd5dbcda9183e4d6899f0817805426c35b464d4a98a7f91753936450c00fe06f5460e43a0439e79ef5694 SHA512 b46e6d728bdfa846eeaaf10cdda0b680760665f9f003bbad01b40ab3c4356115aadd7bd7d394297f294e3122852e9505acbe8e9cc3606cf2ef136600ae38b473
DIST rails-8.1.3.1.tgz 13043572 BLAKE2B d2d1d0af5de2fec54e6ebb8f25db665a130f3ef7a7b38e169b7f7e047c164446fefe3eb751f5ad28dd81529d5db67ae6de9a41c5a51d7835e7454fdd747a8a18 SHA512 bf13225334706c092199e49e42f2d71dda9d33cbd57f4ff1c6069d38cd857c503cb54c7f3d4778cefa4cce9479104dbd7d893752913a28af71333daf7872d422
diff --git a/dev-ruby/activesupport/activesupport-8.0.5.1.ebuild b/dev-ruby/activesupport/activesupport-8.0.5.1.ebuild
new file mode 100644
index 000000000000..1f417b2d43ea
--- /dev/null
+++ b/dev-ruby/activesupport/activesupport-8.0.5.1.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_BINWRAP=""
+RUBY_FAKEGEM_EXTRADOC="CHANGELOG.md README.rdoc"
+RUBY_FAKEGEM_GEMSPEC="activesupport.gemspec"
+
+inherit edo ruby-fakegem
+
+DESCRIPTION="Utility Classes and Extension to the Standard Library"
+HOMEPAGE="https://github.com/rails/rails"
+
+SRC_URI="https://github.com/rails/rails/archive/v${PV}.tar.gz -> rails-${PV}.tgz"
+RUBY_S="rails-${PV}/${PN}"
+
+LICENSE="MIT"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+IUSE="+msgpack test"
+REQUIRED_USE="test? ( msgpack )"
+
+ruby_add_rdepend "
+ dev-ruby/base64
+ >=dev-ruby/benchmark-0.3
+ dev-ruby/bigdecimal
+ >=dev-ruby/concurrent-ruby-1.3.1:1
+ >=dev-ruby/connection_pool-2.2.5
+ dev-ruby/drb
+ >=dev-ruby/i18n-1.6:1
+ >=dev-ruby/logger-1.4.2
+ >=dev-ruby/minitest-5.1:*
+ >=dev-ruby/securerandom-0.3
+ >=dev-ruby/tzinfo-2.0:2
+ >=dev-ruby/uri-0.13.1
+ msgpack? ( >=dev-ruby/msgpack-1.7.0 )
+"
+ruby_add_bdepend "
+ test? (
+ dev-ruby/bundler
+ <dev-ruby/dalli-5:*
+ >=dev-ruby/dalli-3.0.1:*
+ >=dev-ruby/listen-3.3:3
+ dev-ruby/minitest:6
+ dev-ruby/minitest-mock
+ dev-ruby/rexml
+ )
+"
+
+PATCHES=( "${FILESDIR}/${PN}-7.1.1-backport-pr50097.patch" )
+
+all_ruby_prepare() {
+ # Set the secure permissions that tests expect.
+ chmod 0755 "${HOME}" || die "Failed to fix permissions on home"
+
+ # Replace Gemfile with something simpler for the test run
+ cat <<-EOF > ../Gemfile || die
+ source "https://rubygems.org"
+ gemspec
+
+ gem "rake"
+
+ gem "minitest", "~> 6.0"
+ gem "minitest-mock"
+
+ gem "dalli", ">= 3.0.1", "< 5"
+ gem "listen", "~> 3.3"
+ gem "msgpack", ">= 1.7.0"
+ gem "rexml"
+ EOF
+ rm ../Gemfile.lock || die
+
+ # Avoid tests requiring a live redis running
+ rm -f test/cache/stores/redis_cache_store_test.rb || die
+ sed -e '/cache_stores:redis/ s:^:#:' -i Rakefile || die
+ sed -e '/test_redis_cache_store/askip "lacking keywords"' -i test/cache/cache_store_setting_test.rb || die
+}
+
+each_ruby_test() {
+ # Allow the minitest rails plugin to be found.
+ local -x RUBYLIB=../railties/lib
+
+ local -x BUNDLE_GEMFILE="../Gemfile"
+ local -x MT_NO_PLUGINS=true
+ edo ${RUBY} -S bundle exec ${RUBY} --disable=did_you_mean -S rake
+}